For the complete documentation index, see llms.txt. This page is also available as Markdown.

List service types

List service types.

Required permissions: SERVICE_ORDER

get
/tenants/{tenantUid}/serviceorders/types
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/serviceorders/types
GET /v2/tenants/{tenantUid}/serviceorders/types HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "serviceTypeUid": "text",
      "tenantUid": "text",
      "serviceStatuses": [
        {
          "serviceStatusUid": "text",
          "serviceStatusName": "text",
          "position": 1,
          "state": "NOT_STARTED"
        }
      ],
      "name": "text",
      "deprecated": true
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?